local AddonName, Addon = ...
local L = Addon.L or {}

local TestTooltip = {}
Addon.TestTooltip = TestTooltip

function TestTooltip:CreateTestPlayerInfo()
    local currentSeason = _G.MPlusCurrentSeason or 3

    local playerInfo = {
        character = {
            id = 12345,
            name = "TestPlayer",
            itemLevel = 500
        },
        data = {
            character = {
                id = 12345,
                name = "TestPlayer",
                itemLevel = 500
            },
            score = {
                CURRENT_SEASON = {
                    OVERALL = {
                        type = "OVERALL",
                        score = 1800,
                        rank = 1
                    },
                    TANK = {
                        type = "TANK",
                        score = 2800,
                        rank = 1
                    },
                    HEALER = {
                        type = "HEALER",
                        score = 3800,
                        rank = 1
                    },
                    DPS = {
                        type = "DPS",
                        score = 4800,
                        rank = 1
                    }
                },
                SEASON_1 = {
                    OVERALL = {
                        type = "OVERALL",
                        score = 1337,
                        rank = 22
                    }
                }
            },
            bestRuns = {
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "Atal'Dazar",
                                ru = "Атал'Дазар"
                            }
                        },
                        level = 22,
                        numChests = 3
                    }
                },
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "Freehold",
                                ru = "Вольная Гавань"
                            }
                        },
                        level = 19,
                        numChests = 1
                    }
                },
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "Kings' Rest",
                                ru = "Гробница королей"
                            }
                        },
                        level = 16,
                        numChests = 1
                    }
                },
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "THE MOTHERLODE!!",
                                ru = "ЗОЛОТАЯ ЖИЛА!!!"
                            }
                        },
                        level = 21,
                        numChests = 1
                    }
                },
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "Siege of Boralus",
                                ru = "Осада Боралуса"
                            }
                        },
                        level = 15,
                        numChests = 3
                    }
                },
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "The Underrot",
                                ru = "Подгнилье"
                            }
                        },
                        level = 11,
                        numChests = 3
                    }
                },
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "Shrine of the Storm",
                                ru = "Святилище Штормов"
                            }
                        },
                        level = 17,
                        numChests = 2
                    }
                },
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "Tol Dagor",
                                ru = "Тол Дагор"
                            }
                        },
                        level = 18,
                        numChests = 1
                    }
                },
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "Waycrest Manor",
                                ru = "Усадьба Уэйкрестов"
                            }
                        },
                        level = 14,
                        numChests = 1
                    }
                },
                {
                    run = {
                        dungeon = {
                            displayName = {
                                en = "Temple of Sethraliss",
                                ru = "Храм Сетралисс"
                            }
                        },
                        level = 20,
                        numChests = 2
                    }
                }
            }
        }
    }
    return playerInfo
end

return TestTooltip
