local AddonName, Addon = ...
local L = {}

L["MYTHIC_PLIS_RATING"] = "Mythic Plus Rating"
L["BEST_KEYS"] = "Best keys:"
L["MAX_KEY"] = "Max key: "
L["GENERAL_ROLE"] = "General"
L["CREW"] = "Group composition:"
L["SEASON_1"] = "1-st season"
L["SEASON_2"] = "2-nd season"
L["SEASON_3"] = "3-rd season"
L["SEASON_4"] = "4-th season"
L["DUNGEONS"] = {
    ["Атал'Дазар"] = "Atal'Dazar",
    ["Вольная Гавань"] = "Freehold",
    ["Гробница королей"] = "Kings' Rest",
    ["ЗОЛОТАЯ ЖИЛА!!!"] = "THE MOTHERLODE!!",
    ["Осада Боралуса"] = "Siege of Boralus",
    ["Подгнилье"] = "The Underrot",
    ["Святилище Штормов"] = "Shrine of the Storm",
    ["Тол Дагор"] = "Tol Dagor",
    ["Усадьба Уэйкрестов"] = "Waycrest Manor",
    ["Храм Сетралисс"] = "Temple of Sethraliss",
}
L["ROLES_COLOR"] = {
    ['Death Knight'] = 'C41E3A',
    ['Demon Hunter'] = 'A330C9',
    ['Druid'] = 'FF7C0A',
    ['Hunter'] = 'AAD372',
    ['Mage'] = '3FC7EB',
    ['Monk'] = '00FF98',
    ['Paladin'] = 'F48CBA',
    ['Priest'] = 'FFFFFF',
    ['Rogue'] = 'FFF468',
    ['Shaman'] = '0070DD',
    ['Warlock'] = '8788EE',
    ['Warrior'] = 'C69B6D'
}
L["ENABLED"] = "enabled"
L["DISABLED"] = "disabled"
L["ENABLED2"] = "is on"
L["DISABLED2"] = "is off"
L["BEST_RUNS_ERROR"] = "Invalid dungeon data in bestRuns"
L["COMMAND_LFG_CREW_DESC"] = "Show group composition in LFG "
L["COMMAND_LFG_CREW_TOOGLE_DESC"] = "show group composition in LFG"
L["COMMAND_SHORT_DESC"] = "Brief mode in tooltip "
L["COMMAND_SHORT_TOOGLE_DESC"] = "brief mode in tooltip"
L["DEBUG_MODE"] = "Debug mode "
L["DEBUG_MODE_TOOGLE_DESK"] = "debug mode"
L["DEBUG_VERSIONS_CHECK"] = "Latest version: %s | Current version: %s"
L["AVAILABLE_COMMANDS"] = "Available commands:"
L["UNKNOW_COMMAND"] = "Unknown command. Try /mpr to view list of commands."
L["MODULE_INIT_ERROR"] = "Module initialization error "
L["MODULE_INIT_SUCCES"] = "Module initialization "
L["UPDATE_MESSAGE"] = "Database is updated every |cfff5463624|r hours on the website (|cfffbfbaa%s|r)"
L["DATABASE_NOT_FOUND"] = "Database not found. Check if database.lua exists or visit (|cfffbfbaa%s|r) to update"
L["NEW_VERSION_AVAILABLE"] = "New version available (%s) (|cfffbfbaa%s|r)"
L["RANK"] = 'Rank'

-- Settings
L["PANEL_NAME"] = "MPlusBfA"
L["PANEL_DESCRIPTION"] = "Settings of"
L["GENERAL_SETTINGS"] = "General Settings"
L["OPTION_TEAM_ENABLED"] = "Show Team Info"
L["OPTION_TEAM_ENABLED_DESC"] = "Show information about team members in LFG tool"
L["OPTION_SHORT_TOOLTIP"] = "Use Short Tooltip"
L["OPTION_SHORT_TOOLTIP_DESC"] = "Display compact tooltip with less information"
L["DEBUG_MODE"] = "Debug Mode"
L["DEBUG_MODE_TOOGLE_DESK"] = "Enable debug messages"

-- Season Settings
L["SEASONS_DISPLAY_OPTIONS"] = "Seasons Display Options"
L["OPTION_ALL_SEASONS"] = "Show All Seasons"
L["OPTION_ALL_SEASONS_DESC"] = "Display information from all available seasons"
L["OPTION_SEASON"] = "Season"
L["OPTION_SEASON_DESC"] = "Display information from Season"
L["ALL_SEASONS"] = "All seasons"
L["SEASONS_DISPLAY_CURRENT"] = "Currently displaying: "
L["SEASONS_DISPLAY_ALL"] = "Now displaying all seasons"
L["SEASONS_DISPLAY_SELECTED"] = "Now displaying selected seasons: "
L["SEASONS_DISPLAY_INVALID"] = "Invalid season selection. Use numbers or 'all'"
L["COMMAND_CONFIG_DESC"] = "Open configuration panel"
L["TEST_TOOLTIP"] = "Test Tooltip"
L["SHOW_TEST_TOOLTIP"] = "Show Test Tooltip"
L["HIDE_TEST_TOOLTIP"] = "Hide Test Tooltip"

-- OTHER SETTINGS
L["OTHER_OPTIONS"] = "Other settings"
L["HIDE_ROLES"] = "Hide rating by roles"
L["HIDE_HEADER"] = "Hide title"
L["HIDE_RANK"] = "Hide rank"
L["HIDE_ILVL"] = "Hide ilvl"
L["enableTop1"] = "Display only the best key"

Addon.enUS = L
