local AddonName, Addon = ...
local L = {}

L["MYTHIC_PLIS_RATING"] = "Рейтинг Мифик+"
L["BEST_KEYS"] = "Лучшие ключи:"
L["MAX_KEY"] = "Лучший ключ: "
L["GENERAL_ROLE"] = "Общий"
L["CREW"] = "Состав группы:"
L["SEASON_1"] = "1-й сезон"
L["SEASON_2"] = "2-й сезон"
L["SEASON_3"] = "3-й сезон"
L["SEASON_4"] = "4-й сезон"
L["DUNGEONS"] = {
    ["Атал'Дазар"] = "Атал'Дазар",
    ["Вольная Гавань"] = "Вольная Гавань",
    ["Гробница королей"] = "Гробница королей",
    ["ЗОЛОТАЯ ЖИЛА!!!"] = "ЗОЛОТАЯ ЖИЛА!!!",
    ["Осада Боралуса"] = "Осада Боралуса",
    ["Подгнилье"] = "Подгнилье",
    ["Святилище Штормов"] = "Святилище Штормов",
    ["Тол Дагор"] = "Тол Дагор",
    ["Усадьба Уэйкрестов"] = "Усадьба Уэйкрестов",
    ["Храм Сетралисс"] = "Храм Сетралисс",
}
L["ROLES_COLOR"] = {
    ['Рыцарь смерти'] = 'C41E3A',
    ['Охотник на демонов'] = 'A330C9',
    ['Друид'] = 'FF7C0A',
    ['Охотник'] = 'AAD372',
    ['Маг'] = '3FC7EB',
    ['Монах'] = '00FF98',
    ['Паладин'] = 'F48CBA',
    ['Жрец'] = 'FFFFFF',
    ['Разбойник'] = 'FFF468',
    ['Шаман'] = '0070DD',
    ['Чернокнижник'] = '8788EE',
    ['Воин'] = 'C69B6D'
}
L["ENABLED"] = "включено"
L["DISABLED"] = "отключено"
L["ENABLED2"] = "включен"
L["DISABLED2"] = "отключен"
L["BEST_RUNS_ERROR"] = "Некорректные данные для подземелья в bestRuns"
L["COMMAND_LFG_CREW_DESC"] = "Отображение состава группы в ЛФГ "
L["COMMAND_LFG_CREW_TOOGLE_DESC"] = "отображение состава группы в ЛФГ"
L["COMMAND_SHORT_DESC"] = "Краткий режим в подсказке "
L["COMMAND_SHORT_TOOGLE_DESC"] = "краткий режим в подсказке"
L["DEBUG_MODE"] = "Режим отладки "
L["DEBUG_MODE_TOOGLE_DESK"] = "режим отладки"
L["DEBUG_VERSIONS_CHECK"] = "Последняя версия: %s | Текущая версия: %s"
L["AVAILABLE_COMMANDS"] = "Достпупные команды:"
L["UNKNOW_COMMAND"] = "Неизвестная команда. Попоробуйте /mpr для просмотра списка команд."
L["MODULE_INIT_ERROR"] = "Ошибка инициализации модуля "
L["MODULE_INIT_SUCCES"] = "Инициализация модуля "
L["UPDATE_MESSAGE"] = "База данных обновляется каждые |cfff5463624|r часа на сайте (|cfffbfbaa%s|r)"
L["DATABASE_NOT_FOUND"] = "База данных не найдена. Проверьте наличие файла database.lua или перейдите на (|cfffbfbaa%s|r) для обновления"
L["NEW_VERSION_AVAILABLE"] = "Доступна новая версия (%s) (|cfffbfbaa%s|r)"
L["RANK"] = 'Ранг'

-- SETTINGS
L["PANEL_NAME"] = "MPlusBfA"
L["PANEL_DESCRIPTION"] = "Настройки аддона"
L["GENERAL_SETTINGS"] = "Общие настройки"
L["OPTION_TEAM_ENABLED"] = "Отображать информацию о составе группы"
L["OPTION_TEAM_ENABLED_DESC"] = "Отображать информацию о класса группы в ЗСГ (МОЖЕТ КРАШИТЬ!)"
L["OPTION_SHORT_TOOLTIP"] = "Использовать краткую подсказку"
L["OPTION_SHORT_TOOLTIP_DESC"] = "Отображать краткую подсказку (только рейтинг и максимальный ключ)"
L["DEBUG_MODE"] = "Режим отладки"
L["DEBUG_MODE_TOOGLE_DESK"] = "Ну а шо тут непонятного?"

-- SEASON SETTINGS
L["SEASONS_DISPLAY_OPTIONS"] = "Настройки отображения сезонов в подсказке"
L["OPTION_ALL_SEASONS"] = "Отображать все сезоны"
L["OPTION_ALL_SEASONS_DESC"] = "Отображать информацию из всех доступных сезонов"
L["OPTION_SEASON"] = "Сезон"
L["OPTION_SEASON_DESC"] = "Отображать информацию из сезона"
L["ALL_SEASONS"] = "Все сезоны"
L["SEASONS_DISPLAY_CURRENT"] = "Сейчас отображаются: "
L["SEASONS_DISPLAY_ALL"] = "Теперь отображаются все сезоны"
L["SEASONS_DISPLAY_SELECTED"] = "Теперь отображаются выбранные сезоны: "
L["SEASONS_DISPLAY_INVALID"] = "Неверный выбор сезонов. Используйте числа или 'all'"
L["COMMAND_CONFIG_DESC"] = "Открыть панель настроек"
L["TEST_TOOLTIP"] = "Тестовая подсказка"
L["SHOW_TEST_TOOLTIP"] = "Показать тестовую подсказку"
L["HIDE_TEST_TOOLTIP"] = "Скрыть тестовую подсказку"

-- OTHER SETTINGS
L["OTHER_OPTIONS"] = "Прочие настройки"
L["HIDE_ROLES"] = "Скрыть рейтинг по ролям"
L["HIDE_HEADER"] = "Скрыть заголовок"
L["HIDE_RANK"] = "Скрыть ранг"
L["HIDE_ILVL"] = "Скрыть iLvl"
L["enableTop1"] = "Отображать только лучший ключ"

Addon.ruRU = L